%global momorel 8
%global qtver 3.3.7
%global qtdir %{_libdir}/qt3
%global rel r3

Summary: Graphical Go client and SGF editor
Name: qgo
Version: 1.5.4
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Amusements/Games
URL: http://qgo.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}-%{rel}.tar.gz
NoSource: 0
Source1: %{name}.desktop
Patch0: %{name}-gcc43-iostream.patch
Patch1: qgo-1.5.4-gcc45.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libXaw-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: qt3-devel
BuildRequires: xorg-x11-proto-devel

%description
qGo is a graphical Go client in which you can play Go against another player,
connect to Go servers on the Internet, or connect with local Go programs
such as Gnu Go. qGo is also a full-featured SGF editor. In addition,
qGo supports loading MGT and Jago XML format Go games.

%prep
%setup -q

%patch0 -p1 -b .namespace
%patch1 -p1 -b .gcc45~

# preparing
cp -p %{SOURCE1} templates/%{name}.desktop
ln -s normaltools_gui.h src/normaltools.h

%build
export QTDIR=%{qtdir}
%configure \
  --with-qt-dir=%{qtdir} \
  --with-qt-includes=%{qtdir}/include \
  --with-qt-libbraries=%{qtdir}/lib

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install transform='s,x,x,' DESTDIR="%{buildroot}"

# install desktop file
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --delete-original \
  --mode 644 \
  --vendor "" \
  --add-category Game \
  --add-category BoardGame \
  %{buildroot}%{_datadir}/applnk/Games/qgo.desktop

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../qGo/pics/Bowl.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/qGo
%{_datadir}/mimelnk/text/sgf.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.4-8m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.4-7m)
- rebuild for new GCC 4.5

* Mon Oct 04 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.4-6m)
- add patch for gcc45, generated by gen45patch(v1)

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.4-5m)
- full rebuild for mo7 release

* Fri Jul  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.4-4m)
- fix up qgo.desktop
- touch up sepc file

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.5.4-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Jun  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.4-1m)
- import from Fedora devel

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4r2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 15 2008 Chris Ricker <kaboom@oobleck.net> 1.5.4r2-1
- New upstream release
- Fix license
- Patch for new g++

* Wed Oct 11 2006 Chris Ricker <kaboom@oobleck.net> 1.5.2-1
- New upstream release

* Mon Sep 11 2006 Chris Ricker <kaboom@oobleck.net> 1.5r1-2
- Bump and rebuild

* Wed Apr 12 2006 Chris Ricker <kaboom@oobleck.net> 1.5r1
- New upstream release

* Wed Feb 15 2006 Chris Ricker <kaboom@oobleck.net> 1.0.4r2
- New upstream release
- Update for modular X

* Tue Jul 05 2005 Chris Ricker <kaboom@oobleck.net> 1.0.2-1
- New upstream release

* Sat Jun 25 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-6
- *really* fix desktop file (BZ#160007)
- fix dist tagging

* Sun Jun 12 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-5
- Fix desktop file (BZ#160007)

* Thu May 26 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-4
- Simplify qt selection

* Tue May 24 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-3
- Add dist tag

* Thu May 19 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-2
- Fix directory ownership

* Thu May 19 2005 Chris Ricker <kaboom@oobleck.net> 1.0.1-1
- Initial package
